<script>
import {ref} from "vue";
import {BModal} from "bootstrap-vue-next";

export default {
  props: {
    modelValue: Boolean,
    title: String,
    submitText: String,
  },

  components: {
    BModal,
  },

  setup(props) {
    const modal = ref(props.modelValue);

    return {
      modal,
      close() {
        modal.value = false;
      }
    }
  }
}

</script>

<template>
  <BModal v-model="modal" :title="title" centered>
    <slot name="content"></slot>

    <template #footer>
      <slot name="actions"></slot>
    </template>
  </BModal>
</template>
